### Class

# Cogl Offscreen

#### Description [src]

    final class Cogl.Offscreen : Cogl.Framebuffer
    {
      /* No available fields */
    }

Functions for creating and manipulating offscreen framebuffers.

#### Ancestors

- CoglFramebuffer
- GObject

#### Constructors

###### cogl_offscreen_new_with_texture

This creates an offscreen framebuffer object using the given `texture` as the primary color buffer. It doesn’t just initialize the contents of the offscreen buffer with the `texture`; they are tightly bound so that drawing to the offscreen buffer effectively updates the contents of the given texture. You don’t need to destroy the offscreen buffer before you can use the `texture` again.

#### Instance methods

###### cogl_offscreen_get_texture

No description available.

##### Methods inherited from CoglFramebuffer (49)

Please see CoglFramebuffer for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from CoglFramebuffer (4)

###### Cogl.Framebuffer:context

No description available.

###### Cogl.Framebuffer:driver-config

No description available.

###### Cogl.Framebuffer:height

No description available.

###### Cogl.Framebuffer:width

No description available.

#### Signals

##### Signals inherited from CoglFramebuffer (1)

###### CoglFramebuffer::destroy

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglOffscreenClass {
      CoglFramebufferClass parent_class;

    }

No description available.

###### Class members

`parent_class: CoglFramebufferClass`

  No description available.